From 50152bfcba872dd2ef5318877823005ad0c4593f Mon Sep 17 00:00:00 2001
From: Anders Kaseorg <andersk@mit.edu>
Date: Wed, 8 Jan 2014 18:54:30 -0500
Subject: [PATCH 36/40] mosh-client: Catch all exceptions when ensuring client
 is shut down

Signed-off-by: Anders Kaseorg <andersk@mit.edu>
---
 src/frontend/mosh-client.cc | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

diff --git a/src/frontend/mosh-client.cc b/src/frontend/mosh-client.cc
index d3f9744..83230a1 100644
--- a/src/frontend/mosh-client.cc
+++ b/src/frontend/mosh-client.cc
@@ -165,12 +165,9 @@ int main( int argc, char *argv[] )
 
     try {
       client.main();
-    } catch ( const Network::NetworkException &e ) {
+    } catch ( ... ) {
       client.shutdown();
-      throw e;
-    } catch ( const Crypto::CryptoException &e ) {
-      client.shutdown();
-      throw e;
+      throw;
     }
 
     client.shutdown();

